Summary: The GNU Scientific Library for numerical analysis.
Name: gsl
Version: 0.6
Release: 5
URL: http://sourceware.cygnus.com/gsl/
Source: ftp://sourceware.cygnus.com/pub/gsl/gsl-%{version}.tar.gz
License: GPL 
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExcludeArch: ia64

%description
The gsl package includes the GNU Scientific Library (GSL).  The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

Install the gsl package if you need a library for high-level scientific
numerical analysis.

%prep
%setup -q

%build
%configure
touch doc/gsl-ref.info
make

%install
%makeinstall

%post
/sbin/install-info %{_infodir}/gsl-ref.info.gz %{_infodir}/dir
/sbin/ldconfig

%postun -p /sbin/ldconfig

%preun 
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gsl-ref.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README NEWS 
%doc KNOWN-PROBLEMS MACHINES THANKS
%{_bindir}/*
%{_datadir}/aclocal/*
%{_libdir}/*
%{_includedir}/*
%{_infodir}/*info*

%changelog
* Sun Jul 30 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- fix %post to be a real shell and add ldconfig to %post

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- don't include the info dir file...

* Sat Jun 17 2000 Bill Nottingham <notting@redhat.com>
- add %%defattr

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- 0.6, FHS paths
- exclude ia64, it is having issues

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- update to 0.3f
- add patches to fix glibc-2.1 compilation, doc oddity

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/description, work around automake oddity

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize for arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Sat May 9 1998 Michael Fulbright <msf@redhat.com>
- started with package for gmp from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
